if not AQUARIA_VERSION then dofile("scripts/entities/entityinclude.lua") end
if not v then v = {} end

function init(me)
	setupEntity(me)
	entity_initSkeletal(me, "betta")
	entity_setEntityType(me, ET_ENEMY)
	entity_setHealth(me, 12)
	entity_setCollideRadius(me, 64)
	entity_setUpdateCull(me, 2000)
	entity_setDeathParticleEffect(me, "TinyRedExplode")
	entity_setState(me, STATE_IDLE)	
	entity_setEatType(me, EAT_FILE, "MediumFood")

end

-- after nodes have inited
function postInit(me)
	entity_setTarget(me, getNaija())
end


function update(me, dt)
	-- makes entity handle damages
	entity_handleShotCollisions(me)
 
	-- damage Naija when she gets too close, radius, damage, repel strength
	entity_touchAvatarDamage(me, entity_getCollideRadius(me), 0.25, 1200)
 
	-- Flip entity's velocity when entity is going to collide with a wall
	entity_doCollisionAvoidance(me, dt, 4, 0.9)
 
        -- move the entity
	entity_moveTowardsTarget(me, dt, 800)
 
	-- flip entity to its direction
	entity_flipToVel(me)
 
	-- update entity position according to it's velocity
	entity_updateMovement(me, dt)
end

function dieNormal(me)
	-- 80% chance to spawn a Betta Fin when the entity dies
	if chance(80) then
		spawnIngredient("BettaFin", entity_x(me), entity_y(me))
	end
end

function enterState(me)
	if entity_isState(me, STATE_IDLE) then
		entity_animate(me, "idle", -1)
	end
end

function exitState(me)
end

function animationKey(me, key)
end

function hitSurface(me)
end


function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end
